Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005150opensim[REGION] OpenSim Corepublic2010-10-27 07:372011-08-18 07:40
ReporterSypher 
Assigned To 
PrioritynormalSeverityminorReproducibilityalways
StatusnewResolutionopen 
PlatformOSOS Version
Product Versionmaster (dev code) 
Target VersionFixed in Version 
Summary0005150: Opensim crashes when unable to resolve neighbour hostname
DescriptionOpenSim crashes when a neighbour hostname cannot be resolved.
Attached is the partial logfile containing the errors.

I'm running two separate regions on OSgrid.
After adding the 2nd one (in a different location) Opensim.exe crashes because it can't resolve some hostname.
Additional Information2010-10-27 14:50:36,613 DEBUG - OpenSim.Framework.Watchdog [WATCHDOG]: Started tracking thread "AsyncLSLCmdHandlerThread" (ID 37)
2010-10-27 14:50:36,641 ERROR - OpenSim.Application [APPLICATION]:
APPLICATION EXCEPTION DETECTED: System.UnhandledExceptionEventArgs

Exception: System.Exception: Unable to resolve local hostname valencia.gateway.2wire.net innerException of type 'System.Net.Sockets.SocketException: De aangevraagde naam is geldig, maar er zijn geen gegevens van het aangevraagde type gevonden
   bij System.Net.Dns.GetAddrInfo(String name)
   bij System.Net.Dns.InternalGetHostByName(String hostName, Boolean includeIPv6)
   bij System.Net.Dns.GetHostAddresses(String hostNameOrAddress)
   bij OpenSim.Services.Interfaces.GridRegion.get_ExternalEndPoint() in d:\OSGRID\OSGRID 0.7 RELEASES\opensim-80f9022\OpenSim\Services\Interfaces\IGridService.cs:regel 249' attached to this exception ---> System.Net.Sockets.SocketException: De aangevraagde naam is geldig, maar er zijn geen gegevens van het aangevraagde type gevonden
   bij System.Net.Dns.GetAddrInfo(String name)
   bij System.Net.Dns.InternalGetHostByName(String hostName, Boolean includeIPv6)
   bij System.Net.Dns.GetHostAddresses(String hostNameOrAddress)
   bij OpenSim.Services.Interfaces.GridRegion.get_ExternalEndPoint() in d:\OSGRID\OSGRID 0.7 RELEASES\opensim-80f9022\OpenSim\Services\Interfaces\IGridService.cs:regel 249
   --- Einde van intern uitzonderingsstackpad ---

Server stack trace:
   bij OpenSim.Services.Interfaces.GridRegion.get_ExternalEndPoint() in d:\OSGRID\OSGRID 0.7 RELEASES\opensim-80f9022\OpenSim\Services\Interfaces\IGridService.cs:regel 263
   bij OpenSim.Services.Connectors.NeighbourServicesConnector.DoHelloNeighbourCall(GridRegion region, RegionInfo thisRegion) in d:\OSGRID\OSGRID 0.7 RELEASES\opensim-80f9022\OpenSim\Services\Connectors\Neighbour\NeighbourServiceConnector.cs:regel 90
   bij OpenSim.Services.Connectors.NeighbourServicesConnector.HelloNeighbour(UInt64 regionHandle, RegionInfo thisRegion) in d:\OSGRID\OSGRID 0.7 RELEASES\opensim-80f9022\OpenSim\Services\Connectors\Neighbour\NeighbourServiceConnector.cs:regel 79
   bij OpenSim.Region.CoreModules.ServiceConnectorsOut.Neighbour.RemoteNeighbourServicesConnector.HelloNeighbour(UInt64 regionHandle, RegionInfo thisRegion) in d:\OSGRID\OSGRID 0.7 RELEASES\opensim-80f9022\OpenSim\Region\CoreModules\ServiceConnectorsOut\Neighbour\RemoteNeighourServiceConnector.cs:regel 150
   bij OpenSim.Region.Framework.Scenes.SceneCommunicationService.InformNeighboursThatRegionIsUpAsync(INeighbourService neighbourService, RegionInfo region, UInt64 regionhandle) in d:\OSGRID\OSGRID 0.7 RELEASES\opensim-80f9022\OpenSim\Region\Framework\Scenes\SceneCommunicationService.cs:regel 165
   bij System.Runtime.Remoting.Messaging.StackBuilderSink._PrivateProcessMessage(IntPtr md, Object[] args, Object server, Int32 methodPtr, Boolean fExecuteInContext, Object[]& outArgs)
   bij System.Runtime.Remoting.Messaging.StackBuilderSink.PrivateProcessMessage(RuntimeMethodHandle md, Object[] args, Object server, Int32 methodPtr, Boolean fExecuteInContext, Object[]& outArgs)
   bij System.Runtime.Remoting.Messaging.StackBuilderSink.AsyncProcessMessage(IMessage msg, IMessageSink replySink)

Exception rethrown at [0]:
   bij System.Runtime.Remoting.Proxies.RealProxy.EndInvokeHelper(Message reqMsg, Boolean bProxyCase)
   bij System.Runtime.Remoting.Proxies.RemotingProxy.Invoke(Object NotUsed, MessageData& msgData)
   bij OpenSim.Region.Framework.Scenes.SceneCommunicationService.InformNeighbourThatRegionUpDelegate.EndInvoke(IAsyncResult result)
   bij OpenSim.Region.Framework.Scenes.SceneCommunicationService.InformNeighborsThatRegionisUpCompleted(IAsyncResult iar) in d:\OSGRID\OSGRID 0.7 RELEASES\opensim-80f9022\OpenSim\Region\Framework\Scenes\SceneCommunicationService.cs:regel 150
   bij System.Runtime.Remoting.Messaging.AsyncResult.SyncProcessMessage(IMessage msg)
   bij System.Runtime.Remoting.Messaging.StackBuilderSink.AsyncProcessMessage(IMessage msg, IMessageSink replySink)
   bij System.Runtime.Remoting.Proxies.AgileAsyncWorkerItem.DoAsyncCall()
   bij System.Runtime.Remoting.Proxies.AgileAsyncWorkerItem.ThreadPoolCallBack(Object o)
   bij System.Threading._ThreadPoolWaitCallback.WaitCallback_Context(Object state)
   bij System.Threading.ExecutionContext.Run(ExecutionContext executionContext, ContextCallback callback, Object state)
   bij System.Threading._ThreadPoolWaitCallback.PerformWaitCallbackInternal(_ThreadPoolWaitCallback tpWaitCallBack)
   bij System.Threading._ThreadPoolWaitCallback.PerformWaitCallback(Object state)
InnerException: System.Net.Sockets.SocketException: De aangevraagde naam is geldig, maar er zijn geen gegevens van het aangevraagde type gevonden
   bij System.Net.Dns.GetAddrInfo(String name)
   bij System.Net.Dns.InternalGetHostByName(String hostName, Boolean includeIPv6)
   bij System.Net.Dns.GetHostAddresses(String hostNameOrAddress)
   bij OpenSim.Services.Interfaces.GridRegion.get_ExternalEndPoint() in d:\OSGRID\OSGRID 0.7 RELEASES\opensim-80f9022\OpenSim\Services\Interfaces\IGridService.cs:regel 249

Application is terminating: True
TagsNo tags attached.
Git Revision or version number0
Run Mode Grid (Multiple Regions per Sim)
Physics EngineODE
Script Engine
Environment.NET / Windows64
Mono VersionNone
Viewer
Attached Fileslog file icon crash.log [^] (5,204 bytes) 2010-10-27 07:37

- Relationships

-  Notes
(0017139)
melanie (administrator)
2010-10-27 08:17

I can't read your attachment. Please place logs in the "additional information" field, not in an uploaded file.

The crash on being unable to resolve the local hostname that I believe you're reporting is intentionally fatal. If you can't even resolve your own hostname, your system is misconfigured to a degree that will cause inexplicable failures later on. It's better to crash and thereby force the user to fix it than go on.
(0017140)
Fly-Man- (developer)
2010-10-27 08:19

Logfile in Additional Info now
(0017141)
Fly-Man- (developer)
2010-10-27 08:21

When he starts up the region, the 1st region has no issues.

Then when he decided to add a new region, during the startup a region that's nearby can't be resolved thus making the instance die.

It's the resolving of the neighbour that kills his instance
(0017142)
Sypher (reporter)
2010-10-27 08:23

It is not my hostname but apparently one used by one of the neighbours.
(0017144)
danbanner (manager)
2010-10-27 08:32
edited on: 2010-10-27 08:36

This has happened to me before also, everything ran fine until the dyndns.org hostname of a neighboring region no longer resolved. The only solution was for me to move my region. Opensim should be able to tell the difference between the local hostname and the hostname of a neighbor.

(0019585)
makopoppo (manager)
2011-08-15 03:08

Reminder sent to: Adam

Integrating 0004438
---
Reporter Adam
Summary 0004438: Neighbouring Region with Invalid DNS Address causes crash
Description Starting a region neighbouring another region which uses a DNS External Hostname, when that DNS cannot be resolved causes OpenSimulator to crash
Additional Information 06:50:59 - [APPLICATION]:
APPLICATION EXCEPTION DETECTED: System.UnhandledExceptionEventArgs

Exception: System.Exception: Unable to resolve local hostname {HOSTNAME}
innerException of type 'System.Net.Sockets.SocketException: No such host is know
n
   at System.Net.Dns.GetAddrInfo(String name)
   at System.Net.Dns.InternalGetHostByName(String hostName, Boolean includeIPv6)

   at System.Net.Dns.GetHostAddresses(String hostNameOrAddress)
   at OpenSim.Services.Interfaces.GridRegion.get_ExternalEndPoint() in c:\Users\
admin\opensim\OpenSim\Services\Interfaces\IGridService.cs:line 249' attached to
this exception ---> System.Net.Sockets.SocketException: No such host is known
   at System.Net.Dns.GetAddrInfo(String name)
   at System.Net.Dns.InternalGetHostByName(String hostName, Boolean includeIPv6)
(0019629)
makopoppo (manager)
2011-08-18 07:40

Reminder sent to: breen whitman

Integrating 0004539
---
Reporter breen whitman
Summary 0004539: Region crashs trying to resolve neigbors dyndns
Description
I am making supposition but it seems the region crashs when resolving a neigbors dyndns entry. I can make a new region elsewhere and all starts well, but back at the original coordinates the problem reappears about "unable to resolve local hostname unsinn.dyndns.org at System.Net.Dns.GetAddrInfo(String name)" etc.

Note: unsinn.dyndns.org is not mine. So by neigbor, I mean another persons region.
Additional Information Log file:

2002-01-17 20:07:07,963 ERROR - OpenSim.Application [APPLICATION]:
APPLICATION EXCEPTION DETECTED: System.UnhandledExceptionEventArgs

Exception: System.Exception: Unable to resolve local hostname unsinn.dyndns.org innerException of type 'System.Net.Sockets.SocketException: The requested name is valid, but no data of the requested type was found
   at System.Net.Dns.GetAddrInfo(String name)
   at System.Net.Dns.InternalGetHostByName(String hostName, Boolean includeIPv6)
   at System.Net.Dns.GetHostAddresses(String hostNameOrAddress)
   at OpenSim.Services.Interfaces.GridRegion.get_ExternalEndPoint() in d:\OSGRID\OSGRID RELEASES\opensim\OpenSim\Services\Interfaces\IGridService.cs:line 249' attached to this exception ---> System.Net.Sockets.SocketException: The requested name is valid, but no data of the requested type was found
   at System.Net.Dns.GetAddrInfo(String name)
   at System.Net.Dns.InternalGetHostByName(String hostName, Boolean includeIPv6)
   at System.Net.Dns.GetHostAddresses(String hostNameOrAddress)
   at OpenSim.Services.Interfaces.GridRegion.get_ExternalEndPoint() in d:\OSGRID\OSGRID RELEASES\opensim\OpenSim\Services\Interfaces\IGridService.cs:line 249
   --- End of inner exception stack trace ---

Server stack trace:
   at OpenSim.Services.Interfaces.GridRegion.get_ExternalEndPoint() in d:\OSGRID\OSGRID RELEASES\opensim\OpenSim\Services\Interfaces\IGridService.cs:line 263
   at OpenSim.Services.Connectors.NeighbourServicesConnector.DoHelloNeighbourCall(GridRegion region, RegionInfo thisRegion) in d:\OSGRID\OSGRID RELEASES\opensim\OpenSim\Services\Connectors\Neighbour\NeighbourServiceConnector.cs:line 90
   at OpenSim.Services.Connectors.NeighbourServicesConnector.HelloNeighbour(UInt64 regionHandle, RegionInfo thisRegion) in d:\OSGRID\OSGRID RELEASES\opensim\OpenSim\Services\Connectors\Neighbour\NeighbourServiceConnector.cs:line 79
   at OpenSim.Region.CoreModules.ServiceConnectorsOut.Neighbour.RemoteNeighbourServicesConnector.HelloNeighbour(UInt64 regionHandle, RegionInfo thisRegion) in d:\OSGRID\OSGRID RELEASES\opensim\OpenSim\Region\CoreModules\ServiceConnectorsOut\Neighbour\RemoteNeighourServiceConnector.cs:line 150
   at OpenSim.Region.Framework.Scenes.SceneCommunicationService.InformNeighboursThatRegionIsUpAsync(INeighbourService neighbourService, RegionInfo region, UInt64 regionhandle) in d:\OSGRID\OSGRID RELEASES\opensim\OpenSim\Region\Framework\Scenes\SceneCommunicationService.cs:line 543
   at System.Runtime.Remoting.Messaging.StackBuilderSink._PrivateProcessMessage(IntPtr md, Object[] args, Object server, Int32 methodPtr, Boolean fExecuteInContext, Object[]& outArgs)
   at System.Runtime.Remoting.Messaging.StackBuilderSink.PrivateProcessMessage(RuntimeMethodHandle md, Object[] args, Object server, Int32 methodPtr, Boolean fExecuteInContext, Object[]& outArgs)
   at System.Runtime.Remoting.Messaging.StackBuilderSink.AsyncProcessMessage(IMessage msg, IMessageSink replySink)

Exception rethrown at [0]:
   at System.Runtime.Remoting.Proxies.RealProxy.EndInvokeHelper(Message reqMsg, Boolean bProxyCase)
   at System.Runtime.Remoting.Proxies.RemotingProxy.Invoke(Object NotUsed, MessageData& msgData)
   at OpenSim.Region.Framework.Scenes.SceneCommunicationService.InformNeighbourThatRegionUpDelegate.EndInvoke(IAsyncResult result)
   at OpenSim.Region.Framework.Scenes.SceneCommunicationService.InformNeighborsThatRegionisUpCompleted(IAsyncResult iar) in d:\OSGRID\OSGRID RELEASES\opensim\OpenSim\Region\Framework\Scenes\SceneCommunicationService.cs:line 528
   at System.Runtime.Remoting.Messaging.AsyncResult.SyncProcessMessage(IMessage msg)
   at System.Runtime.Remoting.Messaging.StackBuilderSink.AsyncProcessMessage(IMessage msg, IMessageSink replySink)
   at System.Runtime.Remoting.Proxies.AgileAsyncWorkerItem.DoAsyncCall()
   at System.Runtime.Remoting.Proxies.AgileAsyncWorkerItem.ThreadPoolCallBack(Object o)
   at System.Threading._ThreadPoolWaitCallback.WaitCallback_Context(Object state)
   at System.Threading.ExecutionContext.Run(ExecutionContext executionContext, ContextCallback callback, Object state)
   at System.Threading._ThreadPoolWaitCallback.PerformWaitCallbackInternal(_ThreadPoolWaitCallback tpWaitCallBack)
   at System.Threading._ThreadPoolWaitCallback.PerformWaitCallback(Object state)
InnerException: System.Net.Sockets.SocketException: The requested name is valid, but no data of the requested type was found
   at System.Net.Dns.GetAddrInfo(String name)
   at System.Net.Dns.InternalGetHostByName(String hostName, Boolean includeIPv6)
   at System.Net.Dns.GetHostAddresses(String hostNameOrAddress)
   at OpenSim.Services.Interfaces.GridRegion.get_ExternalEndPoint() in d:\OSGRID\OSGRID RELEASES\opensim\OpenSim\Services\Interfaces\IGridService.cs:line 249

Application is terminating: True

- Issue History
Date Modified Username Field Change
2010-10-27 07:37 Sypher New Issue
2010-10-27 07:37 Sypher File Added: crash.log
2010-10-27 07:37 Sypher Git Revision => 0
2010-10-27 07:37 Sypher SVN Revision => 0
2010-10-27 07:37 Sypher Run Mode => Grid (Multiple Regions per Sim)
2010-10-27 07:37 Sypher Physics Engine => ODE
2010-10-27 07:37 Sypher Environment => .NET / Windows64
2010-10-27 07:37 Sypher Mono Version => None
2010-10-27 08:17 melanie Note Added: 0017139
2010-10-27 08:19 Fly-Man- Note Added: 0017140
2010-10-27 08:19 Fly-Man- Additional Information Updated
2010-10-27 08:21 Fly-Man- Note Added: 0017141
2010-10-27 08:23 Sypher Note Added: 0017142
2010-10-27 08:32 danbanner Note Added: 0017144
2010-10-27 08:36 danbanner Note Edited: 0017144
2011-08-15 03:08 makopoppo Note Added: 0019585
2011-08-18 07:40 makopoppo Note Added: 0019629


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker